%define light_apps          icewm icesh icewmbg icewmhint icewm-session
%define default_apps        %{light_apps} icehelp

Name:		icewm
Summary:	X11 Window Manager
Epoch:		1
Version:	3.6.0
Release:	%mkrel 2
License:	LGPL
Group:		Graphical desktop/Icewm

URL:		https://github.com/ice-wm/icewm
Source:		https://github.com/ice-wm/icewm/releases/download/%{version}/icewm-%{version}.tar.lz
Source2:	themes.tar.lzma
Source5:	icewm-16.png
Source6:	icewm-32.png
Source7:	icewm-48.png
Source8:	icewm-starticewm
Source9:	icewm-monochrome.tar.bz2
Source12:	icewm-menu-xdg
Source13:	xeditor.sh

# fix bindkey conflict xcin
Patch0:		icewm-2.9.9-xcin_bindy.patch
#Patch2:		icewm-1.2.13pre3-defaultfont.patch
Patch4:		icewm-1.3-dev-winoptions.patch
Patch10:	icewm-desktop.patch
Patch12:	icewm-1.2.14pre11-background.patch
Patch25:	icewm-1.3.0-fix-focusing-on-raise.patch
Patch26:	icewm-3.4.1-mga-default-pref.patch
Patch27:	icewm-1.3.8-mga-fixdocdir.patch
Patch28:	icewm-1.3.12-build-taskbar-with-lite-build.patch
Patch29:	icewm-1.3.12-fix-light-with-taskbar-enabled.patch
Patch30:	icewm-2.0.1-mga-bug-20471.patch
BuildRequires:	autoconf2.5
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	libpcap-devel
BuildRequires:	lzip
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  linuxdoc-tools
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	ruby-asciidoctor
Requires:	desktop-common-data
Requires:	%{name}-light >= %{epoch}:%{version}
Requires:	%{name}-i18n >= %{epoch}:%{version}
Requires:	xlockmore
Recommends:	%{name}-themes
Recommends:	xterm
Recommends:	udisks-glue

%description
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

%package light
Summary:	A light version of Icewm
Group:		Graphical desktop/Icewm
Requires:	xdg-compliance
Requires:       mate-polkit
# for update-menus
Requires:	icewm-theme-oxygen-aya
Requires(post):	desktop-common-data
Requires(postun):	desktop-common-data
Recommends:	%{name}-i18n
Conflicts:	desktop-common-data < 1:3.10-2

%description light
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

This is the light version with minimal features.

%package themes
Summary:	Extra themes of Icewm
Group:		Graphical desktop/Icewm
BuildArch: 	noarch
Conflicts:	%{name} < 1:1.3.7-2

%description themes
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

This is themes collection for icewm window manager.

%package i18n
Summary:	locale files of Icewm
Group:		Graphical desktop/Icewm
BuildArch: 	noarch
Conflicts:	%{name} < 1:1.3.7-2

%description i18n
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

This is translation files for icewm window manager.

%prep
%setup -q -a 2 -a 9 -n %name-%version
%patch -P 0 -p1 -b .xcin_bindy
#patch -P 2 -p1 -b .defaultfont
%patch -P 4 -p1 -b .winoptions
%patch -P 10 -p1 -b .desktop
%patch -P 12 -p1 -b .background
#patch -P 25 -p1 -b .focus
%patch -P 26 -p1 -b .mgapref
#patch -P 28 -p1 -b .taskbar
#patch -P 29 -p1 -b .litefix
%patch -P 30 -p1 -b .20471

rm -f po/en.* #- en is not a valid locale

chmod -R a+rX themes
find themes -type f | xargs chmod a-x

# build dirs
mkdir -p light default

%build
autoreconf -vfi

COMMON_CONFIGURE="--sysconfdir=%{_sysconfdir} --enable-i18n --enable-nls --with-libdir=%{_datadir}/%{name} --with-theme=oxygen-aya-azul/default.theme --with-icesound="

echo "Light Version"
pushd light
	CONFIGURE_TOP=.. %configure $COMMON_CONFIGURE \
		--enable-lite \
		--enable-taskbar \
		--disable-winmenu \
		--disable-fribidi
	%make_build
popd

echo "Standard Version"
pushd default
	CONFIGURE_TOP=.. %configure $COMMON_CONFIGURE --with-doc-dir=%{_docdir}
	%make_build
        %make_build -C doc
popd

%install
%make_install -C default

for binary in %{light_apps}; do
   install light/src/${binary} %{buildroot}%{_bindir}/${binary}-light
done

rm -rf %{buildroot}%{_bindir}/icewm-set-gnomewm

for binary in %{default_apps}; do
	mv %{buildroot}%{_bindir}/${binary}  %{buildroot}%{_bindir}/${binary}-default
done

cp -a themes %{buildroot}%{_datadir}/%{name}

install -D -m755 %{SOURCE12} %{buildroot}%{_sysconfdir}/menu.d/%{name}

# icon
install -D -m644 %{SOURCE6} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %{SOURCE5} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %{SOURCE7} %{buildroot}%{_liconsdir}/%{name}.png

(cd %{buildroot}%{_datadir} ; find %{name}/themes ! -type d -printf "%{_datadir}/%%p\n") > theme.list
(cd %{buildroot}%{_datadir} ; find %{name}/themes -type d -printf "%%%%dir %{_datadir}/%%p\n") >> theme.list

install -m 755 %{SOURCE8} %{buildroot}%{_bindir}/starticewm
install -m 755 %{SOURCE13} %{buildroot}%{_bindir}/xeditor

# Dadou - Change default background color for distro color
perl -pi -e "s!# DesktopBackgroundColor=.*!DesktopBackgroundColor=\"\"!" %buildroot%{_datadir}/icewm/preferences

%find_lang %{name}

%postun light
if [ "$1" -eq 0 ]; then
	update-alternatives --remove icewm %{_bindir}/icewm-light
fi

%posttrans light
if [ "$1" -eq 1 ]; then
        if [ -e %{_datadir}/xsessions/07IceWM.desktop ]; then
                rm -rf %{_datadir}/xsessions/07IceWM.desktop
        fi
        if [ -e %{_sysconfdir}/X11/dm/Sessions/07IceWM.desktop ]; then
                rm -rf %{_sysconfdir}/X11/dm/Sessions/07IceWM.desktop
        fi

        update-alternatives \
                --install %{_bindir}/icewm icewm %{_bindir}/icewm-light 10 \
                --slave %{_bindir}/icewm-session icewm-session %{_bindir}/icewm-session-light \
                --slave %{_bindir}/icesh icesh %{_bindir}/icesh-light \
                --slave %{_bindir}/icewmbg icewmbg %{_bindir}/icewmbg-light \
                --slave %{_bindir}/icewmhint icewmhint %{_bindir}/icewmhint-light
fi

%posttrans
if [ "$1" -eq 1 ]; then
	update-alternatives \
		--install %{_bindir}/icewm icewm %{_bindir}/icewm-default 20 \
		--slave %{_bindir}/icewm-session icewm-session %{_bindir}/icewm-session-default \
		--slave %{_bindir}/icesh icesh %{_bindir}/icesh-default \
		--slave %{_bindir}/icehelp icehelp %{_bindir}/icehelp-default \
		--slave %{_bindir}/icewmbg icewmbg %{_bindir}/icewmbg-default \
		--slave %{_bindir}/icewmhint icewmhint %{_bindir}/icewmhint-default
fi

%postun
if [ "$1" -eq 0 ]; then
	update-alternatives --remove icewm %{_bindir}/icewm-default
fi

%files
%license COPYING
%doc README.md AUTHORS TODO THANKS NEWS
%doc doc/icewm.adoc
%{_docdir}/icewm/*.html
%ghost %{_bindir}/icewm
%ghost %{_bindir}/icewm-session
%ghost %{_bindir}/icesh
%ghost %{_bindir}/icewmbg
%ghost %{_bindir}/icewmhint
%ghost %{_bindir}/icehelp
%{_bindir}/icesh-default
%{_bindir}/icehelp-default
%{_bindir}/icewm-default
%{_bindir}/icewm-session-default
%{_bindir}/icewmbg-default
%{_bindir}/icewmhint-default
%{_mandir}/man1/ice*.1.*
%{_mandir}/man5/ice*.5.*

%files light
%license COPYING
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/ledclock
%dir %{_datadir}/%{name}/taskbar
%dir %{_datadir}/%{name}/mailbox
%{_sysconfdir}/menu.d/%{name}
%{_datadir}/xsessions/%{name}.desktop
%{_datadir}/xsessions/%{name}-session.desktop
%{_bindir}/starticewm
%{_bindir}/icewm-menu-fdo
%{_bindir}/icewm-menu-xrandr
%{_bindir}/xeditor
%{_datadir}/%{name}/mailbox/*
%{_datadir}/%{name}/taskbar/*
%{_datadir}/%{name}/ledclock/*
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/IceWM.jpg
%{_datadir}/%{name}/keys
%{_datadir}/%{name}/menu
%{_datadir}/%{name}/programs
%{_datadir}/%{name}/preferences
%{_datadir}/%{name}/toolbar
%{_datadir}/%{name}/winoptions
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%ghost %{_bindir}/icewm
%ghost %{_bindir}/icewm-session
%ghost %{_bindir}/icesh
%ghost %{_bindir}/icewmbg
%ghost %{_bindir}/icewmhint
%{_bindir}/*-light

%files themes -f theme.list

%files i18n -f %{name}.lang


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1:3.6.0-2.mga10
+ Revision: 2224341
- Mageia 10 Mass Rebuild

* Mon Jun 17 2024 kekepower <kekepower> 1:3.6.0-1.mga10
+ Revision: 2074638
- Update to version 3.6.0

* Thu Jun 06 2024 kekepower <kekepower> 1:3.5.1-1.mga10
+ Revision: 2070334
- Update to version 3.5.1

* Mon May 20 2024 kekepower <kekepower> 1:3.5.0-1.mga10
+ Revision: 2065380
- Update to version 3.5.0

* Wed Mar 27 2024 kekepower <kekepower> 1:3.4.7-1.mga10
+ Revision: 2052595
- Update to version 3.4.7
- Update to version 3.4.6

* Fri Dec 29 2023 kekepower <kekepower> 1:3.4.5-1.mga10
+ Revision: 2023587
- Update to version 3.4.5

* Thu Nov 02 2023 kekepower <kekepower> 1:3.4.4-1.mga10
+ Revision: 2003632
- Update to version 3.4.4

* Mon Oct 02 2023 kekepower <kekepower> 1:3.4.3-1.mga10
+ Revision: 1993087
- Update to version 3.4.3

* Mon Sep 11 2023 kekepower <kekepower> 1:3.4.2-1.mga10
+ Revision: 1986346
- Update to version 3.4.2

* Mon Aug 28 2023 kekepower <kekepower> 1:3.4.1-1.mga10
+ Revision: 1980677
- Update to version 3.4.1
- Rediff Patch26

* Thu May 18 2023 kekepower <kekepower> 1:3.3.5-1.mga9
+ Revision: 1957210
- Update to version 3.3.5

* Thu May 04 2023 kekepower <kekepower> 1:3.3.4-1.mga9
+ Revision: 1955781
- Update to version 3.3.4

* Fri Apr 14 2023 kekepower <kekepower> 1:3.3.3-1.mga9
+ Revision: 1952971
- Update to version 3.3.3

* Tue Mar 14 2023 kekepower <kekepower> 1:3.3.2-1.mga9
+ Revision: 1948950
- Update to version 3.3.2

* Tue Jan 24 2023 kekepower <kekepower> 1:3.3.1-1.mga9
+ Revision: 1935565
- Update to version 3.3.1

* Wed Dec 21 2022 kekepower <kekepower> 1:3.3.0-1.mga9
+ Revision: 1925520
- Update to version 3.3.0

* Mon Dec 05 2022 kekepower <kekepower> 1:3.2.3-1.mga9
+ Revision: 1917965
- Update to version 3.2.3

* Tue Nov 15 2022 kekepower <kekepower> 1:3.2.2-1.mga9
+ Revision: 1907395
- Update to version 3.2.2

* Wed Nov 09 2022 kekepower <kekepower> 1:3.2.1-1.mga9
+ Revision: 1904834
- Update to version 3.2.1

* Thu Nov 03 2022 kekepower <kekepower> 1:3.2.0-1.mga9
+ Revision: 1901899
- Update to version 3.2.0

* Mon Oct 24 2022 kekepower <kekepower> 1:3.1.0-1.mga9
+ Revision: 1898908
- Update to version 3.1.0

* Thu Oct 06 2022 kekepower <kekepower> 1:3.0.1-1.mga9
+ Revision: 1895018
- Update to version 3.0.1

* Mon Oct 03 2022 kekepower <kekepower> 1:3.0.0-1.mga9
+ Revision: 1894475
- Update to version 3.0.0

* Tue Aug 02 2022 kekepower <kekepower> 1:2.9.9-1.mga9
+ Revision: 1874596
- Update to version 2.9.9

* Tue Jul 19 2022 kekepower <kekepower> 1:2.9.8-1.mga9
+ Revision: 1869388
- Update to version 2.9.8

* Mon May 02 2022 kekepower <kekepower> 1:2.9.7-1.mga9
+ Revision: 1855459
- Update to version 2.9.7

* Thu Mar 31 2022 umeabot <umeabot> 1:2.9.6-2.mga9
+ Revision: 1835769
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 kekepower <kekepower> 1:2.9.6-1.mga9
+ Revision: 1784132
- Update to version 2.9.6

* Fri Dec 31 2021 kekepower <kekepower> 1:2.9.4-1.mga9
+ Revision: 1765559
- Update to version 2.9.4

* Tue Dec 21 2021 kekepower <kekepower> 1:2.9.3-1.mga9
+ Revision: 1763071
- Update to version 2.9.3

* Wed Dec 08 2021 kekepower <kekepower> 1:2.9.2-1.mga9
+ Revision: 1761147
- Update to version 2.9.2

* Wed Nov 24 2021 kekepower <kekepower> 1:2.9.0-1.mga9
+ Revision: 1759023
- Rediff Patch1 (icewm-1.2.26-xcin_bindy.patch)
- Update to version 2.9.0
+ wally <wally>
- drop old %%triggerun scriptlets

* Tue Oct 05 2021 kekepower <kekepower> 1:2.8.0-1.mga9
+ Revision: 1749533
- Update to version 2.8.0

* Fri Aug 06 2021 kekepower <kekepower> 1:2.7.0-1.mga9
+ Revision: 1739804
- Update to version 2.7.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1:2.6.0-1.mga9
+ Revision: 1738688
- 2.6.0

* Sat Jun 26 2021 kekepower <kekepower> 1:2.5.0-1.mga9
+ Revision: 1733875
- Update to version 2.5.0

* Fri May 07 2021 kekepower <kekepower> 1:2.3.4-1.mga9
+ Revision: 1722216
- Update to version 2.3.4

* Wed Apr 28 2021 kekepower <kekepower> 1:2.3.3-1.mga9
+ Revision: 1720196
- Update to version 2.3.3

* Thu Apr 15 2021 kekepower <kekepower> 1:2.3.2-1.mga9
+ Revision: 1715874
- Update to version 2.3.2

* Sun Apr 04 2021 kekepower <kekepower> 1:2.3.1-1.mga9
+ Revision: 1713081
- Update to version 2.3.1

* Thu Apr 01 2021 kekepower <kekepower> 1:2.3.0-1.mga9
+ Revision: 1712506
- Update to version 2.3.0

* Wed Mar 03 2021 kekepower <kekepower> 1:2.2.1-1.mga9
+ Revision: 1697301
- Update to version 2.2.1

* Wed Feb 03 2021 ghibo <ghibo> 1:2.0.1-2.mga8
+ Revision: 1674715
- Add patch to fix bug #20471

* Sun Jan 03 2021 luigiwalser <luigiwalser> 1:2.0.1-1.mga8
+ Revision: 1668457
- 2.0.1

* Wed Dec 30 2020 luigiwalser <luigiwalser> 1:2.0.0-1.mga8
+ Revision: 1665541
- 2.0.0

* Tue Nov 24 2020 shlomif <shlomif> 1:1.9.2-1.mga8
+ Revision: 1648964
- New version 1.9.2

* Wed Sep 23 2020 shlomif <shlomif> 1:1.8.3-1.mga8
+ Revision: 1629587
- New version 1.8.3

* Sat Sep 05 2020 shlomif <shlomif> 1:1.8.1-1.mga8
+ Revision: 1622367
- New version 1.8.1

* Thu Jul 16 2020 shlomif <shlomif> 1:1.7.0-1.mga8
+ Revision: 1606531
- New version 1.7.0

* Sun May 31 2020 shlomif <shlomif> 1:1.6.6-1.mga8
+ Revision: 1589155
- New version 1.6.6

* Fri Mar 20 2020 shlomif <shlomif> 1:1.6.5-1.mga8
+ Revision: 1558288
- New version 1.6.5

* Wed Feb 19 2020 umeabot <umeabot> 1:1.6.4-2.mga8
+ Revision: 1543145
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 14 2020 shlomif <shlomif> 1:1.6.4-1.mga8
+ Revision: 1477950
- New version 1.6.4

* Mon Dec 09 2019 shlomif <shlomif> 1:1.6.3-1.mga8
+ Revision: 1465434
- New version 1.6.3

* Fri Sep 06 2019 shlomif <shlomif> 1:1.6.1-1.mga8
+ Revision: 1437902
- New version 1.6.1 - upstream dropped icewmtray

* Sun Jul 14 2019 shlomif <shlomif> 1:1.5.5-1.mga8
+ Revision: 1421157
- New version 1.5.5

* Mon May 06 2019 akien <akien> 1:1.5.4-2.mga7
+ Revision: 1396431
- Rebuild in core/release

* Fri May 03 2019 shlomif <shlomif> 1:1.5.4-1.mga7
+ Revision: 1396318
- New version 1.5.4

* Fri Apr 05 2019 shlomif <shlomif> 1:1.5.3-1.mga7
+ Revision: 1386119
- New version 1.5.3

* Sat Feb 16 2019 shlomif <shlomif> 1:1.5.2-2.mga7
+ Revision: 1367472
- Fix broken default theme and empty icons (mga#24199)

* Tue Feb 12 2019 shlomif <shlomif> 1:1.5.2-1.mga7
+ Revision: 1365914
- New version 1.5.2

* Mon Jan 07 2019 shlomif <shlomif> 1:1.5.1-1.mga7
+ Revision: 1350901
- remove opt dep generated file
- New version 1.5.1

* Sun Sep 23 2018 umeabot <umeabot> 1:1.4.2-2.mga7
+ Revision: 1298270
- Mageia 7 Mass Rebuild

* Sun Oct 01 2017 wally <wally> 1:1.4.2-1.mga7
+ Revision: 1162190
- new version 1.4.2
- rediff default settings patch
- drop unneeded patches

* Sat Mar 18 2017 wally <wally> 1:1.3.12-13.mga6
+ Revision: 1093485
- own alternatives symlinks under /usr/bin
- convert existing %%triggerpostun to %%triggerun to work correctly with %%ghost files
- fix alternatives state files removal after uninstall (mga#20495)

* Mon Mar 06 2017 wally <wally> 1:1.3.12-12.mga6
+ Revision: 1089106
- add mousepad support to xeditor script (mga#20279)

* Mon Mar 06 2017 wally <wally> 1:1.3.12-11.mga6
+ Revision: 1089074
- drop openSUSE patch and redo it to unbreak xsession .desktop files

* Mon Mar 06 2017 wally <wally> 1:1.3.12-10.mga6
+ Revision: 1089065
- fix system wide icewm path in app menu update script (mga#20405)

* Mon Mar 06 2017 wally <wally> 1:1.3.12-9.mga6
+ Revision: 1089054
- add patch from openSUSE to run shutdown and reboot in background
- add slightly modifed patch from openSUSE to fix xsessions .desktop files
- add RTL support (disabled in icewm-light)

* Fri Mar 03 2017 wally <wally> 1:1.3.12-8.mga6
+ Revision: 1088633
- make 'full' icewm pkg to require i18n pkg
- update and simplify update-alternatives usage

* Fri Mar 03 2017 wally <wally> 1:1.3.12-7.mga6
+ Revision: 1088620
- add patch to build taskbar also for icewm-light
- add patch to fix segfault in icewm-light with taskbar

* Wed Mar 01 2017 wally <wally> 1:1.3.12-6.mga6
+ Revision: 1088439
- add icewmtray to light pkg

* Wed Mar 01 2017 wally <wally> 1:1.3.12-5.mga6
+ Revision: 1088407
- fix update-alternatives for main pkg
  * add %%triggerpostun to remove old update-alternatives configuration for main pkg
  * move update-alternatives usage to %%posttrans for all pkgs to fix update path

* Fri Feb 24 2017 wally <wally> 1:1.3.12-4.mga6
+ Revision: 1087679
- use upstream session file

* Fri Feb 24 2017 wally <wally> 1:1.3.12-3.mga6
+ Revision: 1087673
- fix xsession leftover .desktop file removal

* Fri Feb 24 2017 wally <wally> 1:1.3.12-2.mga6
+ Revision: 1087642
- remove xsession leftovers on update also from /etc/X11/dm/Sessions

* Sun Feb 19 2017 shlomif <shlomif> 1:1.3.12-1.mga6
+ Revision: 1086952
- New upstream and new upstream ver - 1.3.12.
- Thanks to Gentoo for the update.

* Sat Dec 10 2016 luigiwalser <luigiwalser> 1:1.3.8-5.mga6
+ Revision: 1074127
- revert last change, icewm specifically needs mate-polkit

* Sat Dec 10 2016 eatdirt <eatdirt> 1:1.3.8-4.mga6
+ Revision: 1074096
- Weaken requires to mate-polkit to polkit-agent mga#19129#21

* Tue Aug 16 2016 luigiwalser <luigiwalser> 1:1.3.8-3.mga6
+ Revision: 1046527
- use readlink instead of update-alternatives --list in xeditor

* Mon Feb 15 2016 umeabot <umeabot> 1:1.3.8-2.mga6
+ Revision: 960666
- Mageia 6 Mass Rebuild

* Sun Dec 20 2015 zezinho <zezinho> 1:1.3.8-1.mga6
+ Revision: 912572
- new version 1.3.8 - more virtual desktops patch removed

* Sun Sep 27 2015 wally <wally> 1:1.3.7-17.mga6
+ Revision: 884277
- move conflicts to correct pkg

* Sat Sep 26 2015 wally <wally> 1:1.3.7-16.mga6
+ Revision: 884023
- drop post/postun scrips that are handled with filetriggers

* Sat Sep 26 2015 wally <wally> 1:1.3.7-15.mga6
+ Revision: 884015
- drop wmsession.d script and switch to xsession .desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.7-14.mga5
+ Revision: 744024
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.7-13.mga5
+ Revision: 680446
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Dec 30 2013 tarakbumba <tarakbumba> 1:1.3.7-12.mga4
+ Revision: 563370
- Add mate-polkit to icewm-light requires for polkit authorisation
- Drop xdg-compliance-menu/xdg-compliance-autostart requires (required via icewm-light->xdg-compliance)
- Add xdg-compliance to light version as requires. It needs this to run a polkit agent

* Sat Oct 19 2013 umeabot <umeabot> 1:1.3.7-11.mga4
+ Revision: 522505
- Mageia 4 Mass Rebuild

* Thu Mar 14 2013 luigiwalser <luigiwalser> 1:1.3.7-10.mga3
+ Revision: 403071
- use appropriate script for toolbar icon

* Sat Jan 12 2013 umeabot <umeabot> 1:1.3.7-9.mga3
+ Revision: 354182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 09 2012 dams <dams> 1:1.3.7-8.mga2
+ Revision: 234986
- change 'xte' for 'editor'

* Thu May 03 2012 dams <dams> 1:1.3.7-7.mga2
+ Revision: 234625
- remove 'emacs' as a suggests
- add 'xte' and a generic icon for 'editor' in the iceWM toolbar
- revert 'vim' as the text-editor (spotted by David Walser)
- fix help files (link in the menu)
- now suggests emacs to provide a fully working desktop
- replace 'emacs' with 'vim' as 'vim' is always installed by default (on both DVD and DUAL)
- update 'editor' icons

* Tue Apr 17 2012 dams <dams> 1:1.3.7-6.mga2
+ Revision: 231197
- replace 'halt' with 'poweroff'
- now suggests 'udisks-glue'
- enable 'xvt' with 'Alt-Ctrl-t'

* Fri Apr 13 2012 fwang <fwang> 1:1.3.7-5.mga2
+ Revision: 230600
- br gdk-pixbuf
- more br
- br xft
+ dams <dams>
- add 'xterm' as a sugguest as, by default, xvt can't work if no terminal is installed
+ yochenhsieh <yochenhsieh>
- drop and not to build icewm-gnome.

* Tue Apr 03 2012 yochenhsieh <yochenhsieh> 1:1.3.7-4.mga2
+ Revision: 228107
- Re-add default preference patch (mga #5177)

* Fri Mar 16 2012 anssi <anssi> 1:1.3.7-3.mga2
+ Revision: 223563
- fix missing epoch from Conflicts (fixes smooth upgrade)
- drop unneeded obsolete of itself

* Fri Feb 24 2012 yochenhsieh <yochenhsieh> 1:1.3.7-2.mga2
+ Revision: 213868
- Modify how themes list generates(remove galaxy theme exclusion)
- Make icewm-light suggests i18n package
- Remove Galaxy theme.
  Fix Buildarch & remove dependency of i18n & themes.
- Split themes and i18n as stand-alone packages

* Tue Jan 24 2012 fwang <fwang> 1:1.3.7-1.mga2
+ Revision: 200656
- fix build with latest gcc
+ zezinho <zezinho>
- new version
+ misc <misc>
- readd back the mga-logo.png file that vanished
- do use the real name of the package for %%post, not a deprecated provides
- remove old conflict that goes back to time older than 2006.0

* Sun Mar 27 2011 blino <blino> 1:1.3.3-7.mga1
+ Revision: 78180
- buildrequire imagemagick
- use Mageia logo for desktop menu
- remove unused taskbar image
- update background path
- remove old release tags checks
- require desktop-common-data instead of ancient name
- remove old menu method
+ ennael <ennael>
- imported package icewm


* Tue Feb 15 2011 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.3.3-6mdv2011.0
+ Revision: 637847
- Require xdg-compliance-menu (for script that was previously in
  desktop-common-data)
- Require xdg-compliance-autostart (as discussed recently in cooker list)

* Tue Dec 28 2010 Leonardo Coelho <leonardoc@mandriva.com> 1:1.3.3-5mdv2011.0
+ Revision: 625690
- Fix help file location (#58790).

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.3-4mdv2011.0
+ Revision: 605960
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.3-3mdv2010.1
+ Revision: 522917
- rebuilt for 2010.1

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 1:1.3.3-2mdv2010.0
+ Revision: 449202
- buildrequire gnomeui2-devel
- fix build: pkg-config --cflags gnome-desktop-2.0 doesn't implicitly
  include libgnomeui-2.0 anymore, so add it in explicitly (from Fedora)
- rediff patches (from Arnaud Patard)

* Sat Oct 18 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.3.3-1mdv2009.1
+ Revision: 295075
- update to new version 1.3.3

* Tue Aug 26 2008 Pixel <pixel@mandriva.com> 1:1.3.1-4mdv2009.0
+ Revision: 276300
- do not call xvt with options not standardized (#43115)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1:1.3.1-3mdv2009.0
+ Revision: 218411
+ rebuild (emptylog)

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 1:1.3.1-3mdv2008.1
+ Revision: 176402
- drop Chicago.ttf from themes.tar (#38252)
- compress themes.tar with lzma instead of bz2

* Tue Jan 08 2008 Thierry Vignaud <tv@mandriva.org> 1:1.3.1-2mdv2008.1
+ Revision: 146646
- add epoch due to past packaging errors
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 11 2007 Pixel <pixel@mandriva.com> 1.3.1-1mdv2008.0
+ Revision: 61692
- new release, 1.3.1
- restore focusing on raise (as used to be in 1.2.6)

* Wed Jun 20 2007 Olivier Blin <oblin@mandriva.com> 1.3.0-3mdv2008.0
+ Revision: 41852
- add freedesktop.org icon theme support for large/huge sizes
- prefer freedesktop.org icons
- prefer freedesktop.org hicolor theme
- add support for /usr/share/icons/mini and /usr/share/icons/large icons (and remove previous hardcoded hack)

* Wed Jun 20 2007 Olivier Blin <oblin@mandriva.com> 1.3.0-2mdv2008.0
+ Revision: 41657
- use web_browser_section icon for browser in toolbar (mozilla.png does not exist anymore)
- allow to find icons when using gdk, to add icons back in toolbar and menu (Pixel: now you can drop imlib :-p)

* Fri May 18 2007 Pixel <pixel@mandriva.com> 1.3.0-1mdv2008.0
+ Revision: 28093
- new release, 1.3.0
- remove theme Urbicande which makes icewm crash


* Tue Nov 21 2006 Pixel <pixel@mandriva.com> 1.3.0-0.1mdv2007.0
+ Revision: 85741
- need sgml2html to build doc
- Cris B <cris AT beebgames DOT com>
- Use correct X11 buildrequires
- New cvs version
- Drop imlib requirement (bug #24064)
- Disable enable-gradients on gnome version as it doesn't build
- adapt patch0, patch3, patch4, patch16
- drop patch15 (only for imlib which we drop)
- drop patch19 ("light" build seems ok without it)
- drop patch20 (now applied in patch0)

* Sat Oct 28 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.28-3mdv2007.1
+ Revision: 73589
- rebuild
- rebuild
- 1.2.28

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 1.2.27

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.26-5mdv2007.0
+ Revision: 56628
- Only install menu methods and file on 2006.0 and older

* Wed Aug 16 2006 Pixel <pixel@mandriva.com> 1.2.26-4mdv2007.0
+ Revision: 56184
- move from /usr/X11R6/bin to /usr/bin  and  from /usr/X11R6/lib/X11 to /usr/share/X11
- Import icewm

* Mon Jun 19 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 1.2.26-3
- rebuild for png
- %%mkrel

* Fri May 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.26-2mdk
- Add new xdg menu script
- Fix menu-method, we are Mandriva Linux now :)

* Fri Apr 28 2006 Pixel <pixel@mandriva.com> 1.2.26-1mdk
- new release
- drop patch 17 (now unused?)
- refresh patches 1, 18, 19
- fix version (but not using epoch since the bad version only appeared once, in cooker)
- fixes bugzilla #22167

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 1.2.25-1mdk
- New release 1.2.25

* Tue Jan 31 2006 Pixel <pixel@mandriva.com> 1.2.24-2mdk
- rebuild to have all subpackages

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 1.2.24-1mdk
- New release 1.2.24

* Tue Aug 23 2005 Pixel <pixel@mandriva.com> 1.2.23-3mdk
- use www-browser in the toolbar

* Fri Aug 19 2005 Pixel <pixel@mandriva.com> 1.2.23-2mdk
- fix mute/unmute
- remove broken mozilla calls, use www-browser for one
- fix requires post&postun (thanks to pterjan)

* Thu Aug 18 2005 Pixel <pixel@mandriva.com> 1.2.23-1mdk
- new release
- update patch0
- fix building icewm-light
- replace prereq

* Thu Mar 31 2005 Warly <warly@mandrakesoft.com> 1.2.20-4mdk
- add support for 24 virtual desktops

* Thu Feb 17 2005 Pixel <pixel@mandrakesoft.com> 1.2.20-3mdk
- add some Conflict (due to some theme move between icewm and icewm-light, urpmi needs help)

* Wed Feb 16 2005 Pixel <pixel@mandrakesoft.com> 1.2.20-2mdk
- allow not building light or gnome binaries
- remove requires-on-release from icewm-gnome
- have monochrome theme in the themes directory directly in the tarball
- no need to FIX CRASHES for microGUI/complex and Kubical1.2
- have the Galaxy be the real galaxy theme
- put the default theme (Galaxy) in icewm-light (otherwise the default icewm-light theme is broken)
- better regexp to help dropping many app_* and xterm_* xpms
- icesound now builds again
- fix requires-on-release
- fix icewm menu entry
- fix rights on xpm files
- /etc/menu-methods/icewm is no more marked as a config file
- cleanup

* Sun Feb 13 2005 Crispin Boylan <viewtronix@uklinux.net> 1.2.20-1mdk
- new version
- cleanup build options
- gnome 2 menus

* Tue Nov 30 2004 Pixel <pixel@mandrakesoft.com> 1.2.16-3mdk
- make icewm depend on xlockmore, not icewm-light

* Fri Oct 08 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.16-2mdk
- set default theme (patch 16)
- add MCC to toolbar
- merged patch1 and patch9
- depend on xlockmore
- make halt and reboot work

* Thu Oct 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.16-1mdk
- 1.2.16 (bug fix for full screen apps)

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.15-0.pre3.2mdk
- Patch15: fix background dithering

* Thu Aug 05 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.15-0.pre3.1mdk
- 1.2.15pre3

* Tue Mar 23 2004 Florin <florin@mandrakesoft.com> 1.2.14-0.pre11.1mdk
- 1.2.14pre11
- update the config patch
- update the fixcrash patch
- update the showdesktop patch
- add the VERSION patch to fix the Help
- add the fr_po patch
- modify the background patch (use default.png)
- add some popular themes
- use mis-fixed fonts instead of adobe-helvetica

